# Makefile fragment for modelgen-verilog
# ... for use with configure & GNU Make aka. "gmake"
# Author: Felix Salfelder 2024
#-----------------------------------------------------------------------------
include ${srcdir}/Make1
RECURSIVE_TARGETS=all install clean depend
#-----------------------------------------------------------------------------
${RECURSIVE_TARGETS:%=%-recursive}: %-recursive:
	for i in ${SUBDIRS}; do \
	  $(MAKE) -C $${i} $*; \
	done
#-----------------------------------------------------------------------------
${RECURSIVE_TARGETS}: %: %-recursive
#-----------------------------------------------------------------------------
check: all
	${MAKE} -C tests check
#-----------------------------------------------------------------------------
.PHONY: ${RECURSIVE_TARGETS} ${RECURSIVE_TARGETS:%=%-recursive} \
        install install-here check all
